<mat-tab-group mat-stretch-tabs dynamicHeight>
	<mat-tab label="Documentación">
		<app-url method="post" [url]="url"></app-url>
		<markdown [src]="'assets/docs/consultar_facturacion.md'"></markdown>
	</mat-tab>
	<mat-tab label="Ejemplo">
		<div class="ejemplo">
			<app-entecuit></app-entecuit>
			<div class="row">
				<div class="col s12 center">
					<mat-form-field class="col s6 offset-s3">
						<mat-select [(ngModel)]="formato" name="formato" placeholder="Formato del Reporte" trFocusNext="1">
							<mat-option [value]="0">JSON</mat-option>
							<mat-option [value]="1">CSV separado por ;</mat-option>
							<mat-option [value]="2">CSV separado por ,</mat-option>
							<mat-option [value]="3">Completo separado por ,</mat-option>
							<mat-option [value]="5">Completo separado por ;</mat-option>
							<mat-option [value]="4">RCEL</mat-option>
							<mat-option [value]="6">IVA Ventas</mat-option>
							<mat-option [value]="7">Holistor</mat-option>
							<mat-option [value]="10">Todas en PDF</mat-option>
							<mat-option [value]="11">Libro IVA Ventas</mat-option>
							<mat-option [value]="12">Siarib</mat-option>
						</mat-select>
					</mat-form-field>
				</div>
			</div>
			<div *ngIf="formato === 0" class="row">
				<mat-form-field class="col m4 offset-m2 s10 offset-s1 center">
					<input trFocusNext="2" #fieldTalonario matInput placeholder="Página" [(ngModel)]="pag" name="pag">
				</mat-form-field>
				<mat-form-field class="col m4 s10 offset-s1 center">
					<input trFocusNext="3" #fieldTalonario matInput placeholder="Búsqueda" [(ngModel)]="busqueda" name="busqueda">
				</mat-form-field>
			</div>
			<div class="row">
				<div class="col s10 offset-s1 m4 offset-m2">
					<tr-fecha trFocusNext="4" clase="col s12" placeholder="Desde" name="fechaDesde" [(modelo)]="fechaDesde"></tr-fecha>
				</div>
				<div class="col s10 offset-s1 m4">
					<tr-fecha trFocusNext="5" clase="col s12" placeholder="Hasta" name="fechaHasta" [(modelo)]="fechaHasta"></tr-fecha>
				</div>
			</div>
			<div class="row">
				<div class="col s12 center">
					<mat-checkbox name="limitar" trFocusNext="6" [(ngModel)]="limitar">Limitar a este ente</mat-checkbox>
				</div>
			</div>
			<div class="row">
				<div class="col s12 center">
					<button trFocusNext="7" (keydown.enter)="onSolicitar()" (click)="onSolicitar()" mat-raised-button color="primary">Solicitar</button>
				</div>
			</div>
			<app-respuesta></app-respuesta>
		</div>
	</mat-tab>
</mat-tab-group>